/* $RCSFile: XRMEMailing.cs $
 * Apache license v2 2011 by Christian Surieux
 * $Source: ?/AddonNice.Emailing.Settings/XRMEMailing.cs $
 * $log$
 * Revision 10 2010/08/09 10:13:18  christian.surieux
 *   Added Log comment to all cs files
 */

using System;
using System.ComponentModel;
using ADNCRM.ServerControls;

namespace AddonNice.CRMEMailing
{
    /// <summary>
    /// Class used for license testing in EMailing  Modules
    /// </summary>
    [
    LicenseProvider(typeof(ADNEncryptedLicenseProvider))
    ]
    internal sealed class XRMEMailing
    {

        private ADNEncryptedLicense _Lic =  null;
        public XRMEMailing()
        {
            _Lic = (ADNEncryptedLicense)LicenseManager.Validate(typeof(XRMEMailing), this);
        }

        public bool DemoMode
        {
            get{ return License.IsDemo;}
        }
        
        public ADNEncryptedLicense License
        {
            get{ return _Lic;}
        }
    }

}
