<%-- $RCSFile: CrmMailTemplateEditor.ascx $
 Apache license v2 2011 by Christian Surieux
 $Source: ?/AddonNice.EMailing/PageModules/CRMEMailing/CrmMailTemplateEditor.ascx $
 $log$
 Revision 10 2010/08/09 11:12:45  christian.surieux
   Added Log comment to all .ascx .aspx .master files
 --%>
<%@ Control Language="C#" AutoEventWireup="False" CodeBehind="CrmMailTemplateEditor.ascx.cs" Inherits="AddonNice.PageModules.CRMEMailing.CrmMailTemplateEditor" %>
<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
 <style type="text/css">    
    /* The following CSS needs to be copied to the page to produce textbox-like RadEditor */
    .reWrapper_corner, .reWrapper_center 
    {
           display: none !important;                
    }
                
    .reLeftVerticalSide, 
    .reRightVerticalSide, 
    .reToolZone,
    .reToolCell
    {
        background: white !important;
    }
    
    .reContentCell
    {
        border-width: 0 !important;
    }
    
    .RadEditor
    {
           filter: chroma(color=c2dcf0);
    }
    </style> 

<telerik:radformdecorator id="FormDecorator1" runat="server" decoratedcontrols="Default" />
<asp:ScriptManagerProxy ID="SCMCrmTemplateEditor" runat='server' />
<div style='width:100%;position: relative;min-width:700px;' >  
    <div style='width:30%;float:left;min-width:200px;position:relative;'> 
        <asp:Label ID="lbSelTemplate" runat="server" Text="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,TEMPLATE_SELECTTEMPLATE %>"/><br />
        <telerik:RadComboBox ID="RadCbTemplates" runat="server" Width='100%' />
    </div>
    <div style='width:60%;float:left;min-width:200px;position:relative;min-height: 40px;'> 
        <asp:CheckBox ID='ChkCreateCopy' runat="server" Text="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,TEMPLATE_COPY %>" Checked="true" /><br />
    </div>
    <div style='width:45%;float:left;min-width:200px;position:relative;'> 
        <asp:Label ID="lbType" runat="server" Text="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,TEMPLATE_TYPE %>"/><br />
        <telerik:RadComboBox ID="RadCbTypes" runat="server" Width='50%' style='min-width:100px;' />
    </div>
    <div style='width:45%;float:left;min-width:200px;position:relative;'> 
        <asp:Label ID="lbLanguage" runat="server" Text="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,TEMPLATE_LANGUAGE %>" /><br />
        <telerik:RadComboBox ID="RadCbLanguage" runat="server"  Width='50%' style='min-width:100px;' />
    </div>
    <div style='width:90%;float:left;min-width:400px;'> 
        <asp:Label ID="lbTitle" runat="server" Text="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,TEMPLATE_TITLE %>" /><br />
        <telerik:RadTextBox ID="TbTitle" Runat="server" EmptyMessage="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,TEMPLATE_EMPTYTITLE %>" Width='100%' />
    </div>
    <div style='width:90%;float:left;min-width:400px;'> 
        <asp:Label ID="lbDescription" runat="server" Text="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,TEMPLATE_DESCRIPTION %>" /><br />
        <telerik:RadTextBox ID="TbDescription" Runat="server" EmptyMessage="..." Rows="2" SelectionOnFocus="CaretToEnd" TextMode="MultiLine" Height="30px" Width='100%' />
    </div>
    <div style='width:90%;float:left;min-width:400px;'> 
        <asp:Label ID="lbSubject" runat="server" Text="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,TEMPLATE_SUBJECT %>" /><br />
        <telerik:RadEditor ID="EditSubject" Height="30px" Width="100%" 
            ToolsWidth="330px"   EditModes="Design" runat="server"  ToolbarMode="ShowOnFocus" />
    </div>
    <div style='width:90%;float:left;min-width:600px;'> 
        <asp:PlaceHolder ID="BodyPlaceHolder" runat='server' />
        <telerik:RadEditor ID="BodyEditor" Width="100%" runat="server"  ToolbarMode="ShowOnFocus" />
    </div>
    <div style='width:90%;float:left;'> 
        <div style='margin:10px;float:right; text-align:left'>
            <asp:ImageButton id="updateBtn"  SkinID="Update_"  runat="server" />
            &nbsp;
            <asp:ImageButton id="ResetBtn"   CausesValidation='false' SkinID="Reset_"  AlternateText="Reset" runat="server"/>
        </div>
    </div>
</div>
<Telerik:RadAjaxManagerProxy ID="RAMPCrmTemplateEditor" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="RadCbTemplates">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="RadCbTemplates" />
                <telerik:AjaxUpdatedControl ControlID="RadCbTypes" />
                <telerik:AjaxUpdatedControl ControlID="RadCbLanguage" />
                <telerik:AjaxUpdatedControl ControlID="TbNewName" />
                <telerik:AjaxUpdatedControl ControlID="TbTitle" />
                <telerik:AjaxUpdatedControl ControlID="TbDescription" />
                <telerik:AjaxUpdatedControl ControlID="EditSubject" />
                <telerik:AjaxUpdatedControl ControlID="BodyEditor" />
            </UpdatedControls>
        </telerik:AjaxSetting>
        <telerik:AjaxSetting AjaxControlID="ResetBtn">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="TbNewName" />
                <telerik:AjaxUpdatedControl ControlID="TbTitle" />
                <telerik:AjaxUpdatedControl ControlID="TbDescription" />
                <telerik:AjaxUpdatedControl ControlID="EditSubject" />
                <telerik:AjaxUpdatedControl ControlID="BodyEditor" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</Telerik:RadAjaxManagerProxy>