﻿<%-- $RCSFile: PrivateDownLoad.ascx $
 Apache license v2 2011 by Christian Surieux
 $Source: ?/AddonNice.EMailing/PageModules/DownloadSession/PrivateDownLoad.ascx $
 $log$
 Revision 10 2010/08/09 11:12:45  christian.surieux
   Added Log comment to all .ascx .aspx .master files
 --%>
<%@ Control Language="C#" AutoEventWireup="False" CodeBehind="PrivateDownLoad.ascx.cs" Inherits="AddonNice.PageModules.DownloadSession.PrivateDownLoad" %>
<%@ Import Namespace="AddonNice.Helpers" %>
<%@ Register TagPrefix="cnf" Namespace="AddonNice.Configuration" Assembly="ADNCRM.Core" %>
<%@ Register TagPrefix="wc" Namespace="AddonNice.UI.WebControls" Assembly="ADNCRM.Core" %>
<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="Telerik" %>
<asp:ScriptManagerProxy ID="SCMPPrivateDownload" runat='server' />
<Telerik:radformdecorator id="FormDecorator1" runat="server" decoratedcontrols="Default" />
<telerik:RadGrid ID="myDataGrid" runat="server" Width="100%" AutoGenerateColumns="False" GridLines="None" ShowFooter='false' ShowHeader='true' ShowStatusBar='false' AllowPaging="true" AllowSorting="true" PageSize="20">
    <MasterTableView CommandItemDisplay='None'>
        <Columns>
            <telerik:GridTemplateColumn>
                <ItemTemplate>
                    <asp:HyperLink Text="<%$ Resources:ADNCRM,CONTENTTYPE %>" ID="contentType" ImageUrl='<%# "/aspnet_client/Ext/" + DataBinder.Eval(Container.DataItem,"contentType")%>'
                        NavigateUrl='<%# GetBrowsePath((int) DataBinder.Eval(Container.DataItem,"ItemID"),(Guid) DataBinder.Eval(Container.DataItem,"itemcrmid")) %>'
                        Target="_new" runat="server" />
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn SortExpression="Title" HeaderText="<%$ Resources:ADNCRM,TITLE %>">
                <ItemTemplate>
                    <asp:HyperLink ID="docLink" Text='<%# DataBinder.Eval(Container.DataItem,"Title") %>'
                        NavigateUrl='<%# GetBrowsePath((int) DataBinder.Eval(Container.DataItem,"ItemID"),(Guid) DataBinder.Eval(Container.DataItem,"itemcrmid")) %>'
                        Target="_new" runat="server" />
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridBoundColumn SortExpression="Filename" HeaderText="<%$ Resources:ResourcesEMAIL|CrmMailTemplate,PRIVATEDOWNLOAD_FILENAME|Filename %>"
                DataField="Filename" ItemStyle-Wrap="false" />
            <telerik:GridBoundColumn SortExpression="Category" HeaderText="<%$ Resources:ADNCRM,DOCUMENT_AREA %>"
                DataField="Category" ItemStyle-Wrap="false" />
            <telerik:GridBoundColumn SortExpression="CreatedDate" HeaderText="<%$ Resources:ADNCRM,DOCUMENT_LAST_UPDATED %>"
                DataField="CreatedDate" DataFormatString="{0:d}" />
        </Columns>
        <ExpandCollapseColumn Visible="false">
            <HeaderStyle Width="19px"></HeaderStyle>
        </ExpandCollapseColumn>
        <RowIndicatorColumn Visible="false">
            <HeaderStyle Width="20px"></HeaderStyle>
        </RowIndicatorColumn>
    </MasterTableView>
    <ClientSettings>
        <Selecting AllowRowSelect="True" />
    </ClientSettings>
</telerik:RadGrid>
<telerik:RadAjaxManagerProxy ID="RAMPPrivateDownload" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="myDataGrid">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="myDataGrid" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>
